<bugID>929384<Summary>Color swatch missing for background properties with href</Summary><Description>This is a follow-up bug for bug 918716.
The new color swatches in the DevTools' rule and computed views look great!

I think there's one case missing tough: 

&gt; background: red url("http://something.com/image.png") no-repeat top left;

In this case, the "red" color part will not get a color swatch next to it.
This will work though:

&gt; background: red url("") no-repeat top left;

It seems that the color parsing in rule-view.js specifically ignores declarations that have URIs.</Description></bugID>